<HTML>
<HEAD><TITLE>
IP2Location IP-COUNTRY-ISP Database Demo in Active Server Pages (ASP)
</TITLE>
	<STYLE> 
		TABLE,BODY,P{ color:Black; font-family:Verdana,Geneva,Arial,Helvetica,sans-serif; font-size:12px; }
		H1{ color:Black; font-family:Verdana,Geneva,Arial,Helvetica,sans-serif; font-size:16px; }
		A.blue,A.blue:VISITED,A.blue:LINK{ text-decoration:none;font-weight:bolder; color:Blue; }
	</STYLE>
</HEAD>
<BODY bgcolor="#FFFFFF">
<center>
<h1><b><u>IP2Location Demo - Lookup Country & ISP by IP Address</u></h1></b>
Enter a dotted IP address (0.0.0.0 to 1.255.255.255)<br>
<%
'---------------------------------------------------------------------------
' Title        : IP Address to Country & ISP Lookup Service using Database
' Description  : This script lookup the country &ISP from an IP address.
'                Things that we can do with this script.
'                		1. Display native language and currency 
'                		2. Redirect based on country 
'                		3. Digital rights management 
'                		4. Prevent password sharing and abuse of service 
'                		5. Reduce credit card fraud 
'                		6. Web log stats and analysis 
'                		7. Auto-selection of country on forms 
'                		8. Filter access from countries you do not do business with 
'                		9. Geo-targeting for increased sales and click-thrus 
'                		10. And much, much more! 
'
' Author       : IP2Location.com
' URL          : http://www.ip2location.com
' Email        : sales@ip2location.com
'
' Copyright (c) 2002-2015 IP2Location.com
'---------------------------------------------------------------------------

	Response.Write	"  <form action=""" & Request("SCRIPT_NAME") & """ method=""POST"">" & vbCrLf
	Response.Write	"    <textarea name=""ipaddress"" cols=15 rows=6></textarea><br>" & vbCrLf
	Response.Write	"    <input type=""submit"" name=""submit"" value=""submit"">" & vbCrLf
	Response.Write	"  </form>" & vbCrLf
	
	If Not Request.Form("ipaddress") = "" Then
		Dim arripaddress
		Dim i
		dim intCount
		' get the IP address from the form 
		ipaddress = Request.Form("ipaddress")
		ipaddress = Replace(ipaddress," ",vbCrLf)
		arripaddress = Split(ipaddress,vbCrLf)
		intCount = Cint(Ubound(arripaddress))
		If intCount >= 0 Then
			Response.Write "<p>"
			Response.Write "<h1><u>Lookup Result</u></h1>"
			' display Header
			Response.Write "<table border = 1>"
			Response.Write "<tr>"
			Response.Write "<td align=center>IP Address</td>"
			Response.Write "<td align=center>Country Code</td>"
			Response.Write "<td align=center>Country Name</td>"
			Response.Write "<td align=center>ISP</td>"
			Response.Write "</tr>"
			
			Dim conn, rs, sql, strconn
			' select MS-SQL database using DSNless connection
			strconn = "Driver={SQL Server Native Client 10.0};Server=localhost;Database=ip2location;Uid=sa;Pwd=12345;"
			Set conn = Server.CreateObject("ADODB.Connection")
			conn.open strconn
			
			For i = 0 to intCount
				If arripaddress(i) <> "" Then			
					ipno = Dot2LongIP(arripaddress(i))
					' check if the IP address is supported in demo version
					If (ipno < 0) or (ipno > 33554431) Then
						Response.Write("<tr>")
						Response.Write("<td align=center>IP address " & arripaddress(i) & " is not supported in demo version.</td>")
						Response.Write("<td align=center>-</td>")
						Response.Write("<td align=center>-</td>")
						Response.Write("<td align=center>-</td>")
						Response.Write("</tr>")
					Else
						' query string to lookup the country by matching the range of IP address number
						strsql  = "SELECT TOP 1 * FROM ip2location_db2 WHERE " & ipno & " <= ip_to ORDER BY ip_to"
						
						' execute the query
						Set rs = conn.execute(strsql)

						' display results
						If Not rs.EOF Then
							Response.Write("<tr>")
							Response.Write("<td align=center>" & arripaddress(i) & "</td>")
							Response.Write("<td align=center>" & rs("country_code") & "</td>")
							Response.Write("<td align=center>" & rs("country_name") & "</td>")
							Response.Write("<td align=center>" & rs("isp") & "</td>")
							Response.Write("</tr>")
						Else
							Response.Write("<tr>")
							Response.Write("<td align=center>" & arripaddress(i) & "</td>")
							Response.Write("<td align=center>-</td>")
							Response.Write("<td align=center>-</td>")
							Response.Write("<td align=center>-</td>")
							Response.Write("</tr>")
						End If
						rs.close
						set rs = nothing
					End If
				End If
			Next
			conn.close
			Set conn = nothing
			Response.Write("		</table>" & vbCrLf)
			Response.Write("		</p>" & vbCrLf)
		Else
			Response.Write("Please enter ip address.")
		End if
	End If

	' Convert dotted IP address into IP number in long
	Function Dot2LongIP (ByVal DottedIP)
		Dim i, pos
		Dim PrevPos, num
		If DottedIP = "" Then
			Dot2LongIP = 0
		Else
			For i = 1 To 4
				pos = InStr(PrevPos + 1, DottedIP, ".", 1)
				If i = 4 Then 
					pos = Len(DottedIP) + 1
				End If
				num = Int(Mid(DottedIP, PrevPos + 1, pos - PrevPos - 1))
				PrevPos = pos
				Dot2LongIP = ((num Mod 256) * (256 ^ (4 - i))) +   Dot2LongIP
			Next
		End If
	End Function
%>
			<BR>
			[<A href="http://www.ip2location.com">Click here to subscribe full database</A>]
			<BR>
			<BR>
			Copyright (c) 2002-2015 by <a href="http://www.ip2location.com">IP2Location.com</a>
			<P>
			<a href="http://www.ip2location.com/"><img src="http://www.ip2location.com/images/ip2location468x60_0.gif" border="0"></a>
			</P>
			</center>
		</form>
	</BODY>
</HTML>
