<HTML>
<HEAD><TITLE>
IP2Location IP-COUNTRY-ISP Database Demo in PHP Hypertext Preprocessor
</TITLE>
	<STYLE> 
		TABLE,BODY,P{ color:Black; font-family:Verdana,Geneva,Arial,Helvetica,sans-serif; font-size:12px; }
		H1{ color:Black; font-family:Verdana,Geneva,Arial,Helvetica,sans-serif; font-size:16px; }
		A.blue,A.blue:VISITED,A.blue:LINK{ text-decoration:none;font-weight:bolder; color:Blue; }
	</STYLE>
</HEAD>
<BODY bgcolor="#FFFFFF">
<center>
<h1><b><u>IP2Location Demo - Lookup Country & ISP by IP Address</u></h1></b>
Enter a dotted IP address (0.0.0.0 to 1.255.255.255).<br>
<?php
//---------------------------------------------------------------------------
// Title        : Lookup Country & ISP by IP Address
// Description  : This script lookup the country & ISP by IP address.
//                Things that we can do with this script.
//                		1. Display native language and currency 
//                		2. Redirect based on country 
//                		3. Digital rights management 
//                		4. Prevent password sharing and abuse of service 
//                		5. Reduce credit card fraud 
//                		6. Web log stats and analysis 
//                		7. Auto-selection of country on forms 
//                		8. Filter access from countries you do not do business with 
//                		9. Geo-targeting for increased sales and click-thrus 
//                		10. And much, much more! 
//
// Author       : IP2Location.com
// URL          : http://www.ip2location.com
//
// Copyright (c) 2002-2016 IP2Location.com
//---------------------------------------------------------------------------


	echo	"  <form action=\"" . $_SERVER['PHP_SELF'] . "\" method=\"POST\">\n";
	echo	"    <textarea name=\"ipaddress\" cols=15 rows=6></textarea><br>\n";
	echo	"    <input type=\"submit\" name=\"submit\" value=\"submit\">\n";
	echo	"  </form>\n";
	
	if (isset($_POST["ipaddress"])) 
	{
		// get the IP address from the form 
		$ipaddress = $_POST["ipaddress"];
		$ipaddress = str_replace(" ","\n", $ipaddress);
		$arripaddress = explode("\n", $ipaddress);
		if (count($arripaddress) > 0)
		{
			echo	"<p>";
			echo	"<h1><u>Lookup Result</u></h1>";
			// display header
			echo	"<table border = 1>";
			echo	"<tr>";
			echo	"<td align=center>IP Address</td>";
			echo	"<td align=center>Country Code</td>";
			echo	"<td align=center>Country Name</td>";
			echo	"<td align=center>ISP</td>";
			echo	"</tr>";
			for ($i = 0; $i <= (count($arripaddress)-1); $i++)
			{
				if ($arripaddress[$i] != "")
				{
					$ipno = Dot2LongIP($arripaddress[$i]);
					// check if the IP address is supported in demo version
					if (($ipno < 0) || ($ipno > 33554431)) 
					{
						echo "<tr>";
						echo "<td align=center>IP address " . $arripaddress[$i] . " is not supported in demo version.</td>";
						echo "<td align=center>-</td>";
						echo "<td align=center>-</td>";
						echo "<td align=center>-</td>";
						echo "</tr>";
					} 
					else 
					{
						$dbhost = 'localhost';
						$dbuser = 'root';
						$dbpass = '12345';
						$dbname = 'ip2location';
						$query  = "SELECT * FROM ip2location_db2 WHERE " . $ipno . " <= ip_to ORDER BY ip_to LIMIT 1";
						
						$conn = new mysqli($dbhost, $dbuser, $dbpass) or die ('Error connecting to mysql');
						$conn->select_db($dbname);
						$result = $conn->query($query);
						// display results
						if ($result != null)
						{
	 						while($row = $result->fetch_array(MYSQLI_ASSOC))
							{
								echo "<tr>";
								echo "<td align=center>" . $arripaddress[$i] . "</td>";
								echo "<td align=center>" . $row['country_code'] . "</td>";
								echo "<td align=center>" . $row['country_name'] . "</td>";
								echo "<td align=center>" . $row['isp'] . "</td>";
								echo "</tr>";
							}
						} 
						else 
						{
							echo "<tr>";
							echo "<td align=center>" . $arripaddress[$i] . "</td>";
							echo "<td align=center>-</td>";
							echo "<td align=center>-</td>";
							echo "<td align=center>-</td>";
							echo "</tr>";
						}
	 					$conn->close;
					}
				}
			}
			echo	"</table>";
			echo	"</p>";
		}
		else
		{
			echo "Please enter IP address.";
		}
	}
	// Convert dotted IP address into IP number in long
	function Dot2LongIP ($IPaddr)
	{
		if ($IPaddr == "") 
		{
			return 0;
		} 
		else 
		{
			$ips = explode(".", "$IPaddr");
			return ($ips[3] + $ips[2] * 256 + $ips[1] * 256 * 256 + $ips[0] * 256 * 256 * 256);
		}
	}
?>
		<BR>
		[<A href="http://www.ip2location.com">Click here to subscribe full database</A>]
		<BR>
		<BR>
		Copyright (c) 2002-2016 by <a href="http://www.ip2location.com">IP2Location.com</a>
		<P>
		<a href="http://www.ip2location.com/"><img src="http://www.ip2location.com/images/ip2location468x60_0.gif" border="0"></a>
		</P>
		</center>
	</BODY>
</HTML>
